package cz.moneta.test.harness;

import cz.moneta.test.harness.annotations.TestContext;
import cz.moneta.test.harness.context.BaseStoreAccessor;
import cz.moneta.test.harness.support.data.GeneratorType;
import org.junit.jupiter.api.extension.ExtensionContext.Store;

@TestContext
public class BaseHarness extends BaseStoreAccessor {

    public BaseHarness(Store rootStore, Store globalStore, Store endpointStore, Store configStore, Store generatorsStore) {
        super(rootStore, globalStore, endpointStore, configStore, generatorsStore);
        initGenerators();
    }

    private void initGenerators() {
        addGenerator(GeneratorType.RC, new HarnessUnitTestGenerator());
    }
}
